Page MenuHomePhabricator

Quotation marks do not help to avoid finding similar terms or derived words in ru.wikipedia.org
Closed, DeclinedPublic

Description

After https://phabricator.wikimedia.org/T124592 quotation marks do not help to avoid finding similar terms or derived words.
Steps to Reproduce:

  1. go to ru.wikipedia.org
  2. type «"ёщё"» or «"ёё"» on the search bar using quotation marks

Expected Results: it gives «ёщё» or «ёё» respectively
Actual Results: it gives «еще», «ещё», «ёще» & «ёщё» or «ее», «её», «ёе» & «ёё» mixed up

Event Timeline

Wikifido created this task.Nov 1 2016, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2016, 3:22 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 1 2016, 6:22 PM
TJones added a subscriber: TJones.Nov 2 2016, 8:42 PM

@Wikifido, the point of T124592 was to treat ё and е more or less as we would treat Е and е—as typographical variants of each other. That is what the ticket was implying, and what I verified with a couple of Russian speakers on our team.

We did not discuss the exact behavior of quoted strings in this context, though, so maybe we overlooked something. However, depending on your use case, there may be something you can do.

You can use insource to search for exact characters.

And you can have multiple insource queries:

This form of insource is not case-sensitive (so my comparison to case above is not exact). You can get into regular expressions for that, though they are slow, expensive, and limited (only so many can run at once).

It's more verbose than using double quotes, but it does work. Does that satisfy your use case(s)?

TJones added a comment.Nov 2 2016, 8:46 PM

Oh, one other thing: based on T124592, I think the current behavior of quotes is what is desired. Searching for "черная дыра" should find all instances of чёрная дыра, right?

Although the use of "insource" is not very convenient to search for typos. Nevertheless convenience for readers is more important than convenience to the editors. Perhaps you may close this case.

TJones added a comment.Nov 3 2016, 2:44 PM

Thanks, @Wikifido! It is tricky to balance convenience, intuitiveness, and expressive power in search. I don't like inconveniencing editors, who do so much good work (thank you!), but at least there's a chance of communicating with you to find a solution—and I'm glad it worked out reasonably well and reasonably easily this time.

Deskana closed this task as Declined.Dec 15 2016, 11:14 PM
Deskana added a subscriber: Deskana.

I don't think there's much for us to do here, so closing as declined.